# Class pyglet.image.TextureSequence

    AbstractImageSequence --+
                            |
                           TextureSequence

Known Subclasses:
  UniformTextureSequence

Interface for a sequence of textures.

Typical implementations store multiple TextureRegion s within one Texture so as to minimise state changes.

## Methods

TextureSequence | get_texture_sequence(self) Get a TextureSequence.
AbstractImage | __getitem__(self, slice) Retrieve a (list of) image. (Inherited from pyglet.image.AbstractImageSequence)
Iterator | __iter__(self) Iterate over the images in sequence. (Inherited from pyglet.image.AbstractImageSequence)
| __len__(self) (Inherited from pyglet.image.AbstractImageSequence)
| __setitem__(self, slice, image) Replace one or more images in the sequence. (Inherited from pyglet.image.AbstractImageSequence)
Animation | get_animation(self, period, loop=True) Create an animation over this image sequence for the given constant framerate. (Inherited from pyglet.image.AbstractImageSequence)

## Properties

TextureSequence | texture_sequence Access this image sequence as a texture sequence. (Inherited from pyglet.image.AbstractImageSequence)

## Method Details

### get_texture_sequence

get_texture_sequence(self)
Get a TextureSequence.

Returns: TextureSequence
Overrides:
  AbstractImageSequence.get_texture_sequence

Since: pyglet 1.1